#include <iostream>
using namespace std;

int main(){
    long int n;
    long long int l, niz[1000];
    cin>>n; cin>>l;
    
    for (int i=0; i<n; i++){
        cin>>niz[i];
    }
    
    int pamt=0;
    
    for (int i=0; i<n; i++){
        if (niz[i]>l)
        pamt=-1;
        else {pamt=0; break;}
    }
    if (pamt!=-1){
        for (int i=0; i<n; i++){
            if (niz[i]==l){
            cout<<i+1;
            break;}
            else if (niz[i]<l){
            cout<<i+1;
            break;}
        }
    }
    else cout<<"-1";
}